Skip to content
agentsub
Esc
↑↓navigate↵open⌘Jpreview

Read sanitized pending OAuth consent context

GET/oauth/request
Query parameters
idstringrequired
Responses
200

Successful response

clientNamestring
resourcestring
expiresAtinteger
allowedIdentitiesstring[]
requestedScopestring | null

Normalized requested scope set; the issued token grants only the selected actor subset.

Allowed:agentsub:agentagentsub:owneragentsub:agent agentsub:ownernull
scopesobject
Show properties
clerkstring
agentidstring
clientOriginstring<uri>

Registered callback origin; clientName is self-declared and untrusted

Request
curl -X GET 'https://api.agentsub.dev/oauth/request?id=string' \
  -H 'Accept: application/json'
Response
{
  "clientName": "string",
  "resource": "string",
  "expiresAt": 0,
  "allowedIdentities": [
    "clerk"
  ],
  "requestedScope": "agentsub:agent",
  "scopes": {
    "clerk": "agentsub:owner",
    "agentid": "agentsub:agent"
  },
  "clientOrigin": "http://example.com"
}